Ticket #1539: modplug2.patch

File modplug2.patch, 1.3 KB (added by chinshou, 4 years ago)
  • configure

    diff --git a/configure b/configure
    index 4663467..20618fd 100755
    a b check_pkg_config(){ 
    881881    shift 3 
    882882    $pkg_config --exists $pkg 2>/dev/null || return 
    883883    pkg_cflags=$($pkg_config --cflags $pkg) 
    884     pkg_libs=$($pkg_config --libs $pkg) 
     884    pkg_libs=$($pkg_config --static --libs $pkg) 
    885885    check_func_headers "$headers" "$funcs" $pkg_cflags $pkg_libs "$@" && 
    886886        set_safe ${pkg}_cflags $pkg_cflags   && 
    887887        set_safe ${pkg}_libs   $pkg_libs 
    enabled libfdk_aac && require libfdk_aac fdk-aac/aacenc_lib.h aacEncOpen -lfdk- 
    33213321enabled libfreetype && require_pkg_config freetype2 "ft2build.h freetype/freetype.h" FT_Init_FreeType 
    33223322enabled libgsm     && require  libgsm gsm/gsm.h gsm_create -lgsm 
    33233323enabled libilbc    && require  libilbc ilbc.h WebRtcIlbcfix_InitDecode -lilbc 
    3324 enabled libmodplug && require  libmodplug libmodplug/modplug.h ModPlug_Load -lmodplug 
     3324enabled libmodplug && require_pkg_config  libmodplug libmodplug/modplug.h ModPlug_Load 
    33253325enabled libmp3lame && require  "libmp3lame >= 3.98.3" lame/lame.h lame_set_VBR_quality -lmp3lame 
    33263326enabled libnut     && require  libnut libnut.h nut_demuxer_init -lnut 
    33273327enabled libopencore_amrnb  && require libopencore_amrnb opencore-amrnb/interf_dec.h Decoder_Interface_init -lopencore-amrnb